# libxconv
Lightweight ISO-6937 to UTF-8 conversion library.

##### SYNOPSIS
> size\_t xconv(char \*inbuf, char \*outbuf, size\_t outbuflen);

##### DESCRIPTION

> The xconv() function converts a sequence of characters in ISO-6937
> encoding to UTF-8. 
> 
> If a UTF-8 sequence is found within the input string, processing is aborted.

##### RETURN VALUE

> On successful conversion, the xconv() function returns the number of
> characters placed into _outbuf_ excluding the string terminator.
> 
> If no conversion is necessary (plain ASCII input string or a UTF-8 sequence
> was found) then the function returns 0. In this case, the state of the
> output buffer is undefined and it should not be used.

##### NOTES

> This library was written to replace iconv() for a specific conversion task
> in a small embedded environment with little memory or CPU time available.

